package arabiannight.tistory.com.aynctask;

import android.app.Activity;
import android.os.AsyncTask;
import android.os.Bundle;
import android.util.Log;

public class TestAsyncTaskActivity extends Activity {
	
	private MyAsyncTask myAsyncTask;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        myAsyncTask = new MyAsyncTask();
        myAsyncTask.execute("80", "90", "100", "110");
        
    }
    
    // AsyncTask클래스는 항상 Subclassing 해서 사용 해야 함.
    // 사용 자료형은
    // background 작업에 사용할 data의 자료형: String 형
    // background 작업 진행 표시를 위해 사용할 인자: Integer형
    // background 작업의 결과를 표현할 자료형: Long
    // 인자를 사용하지 않은 경우 Void Type 으로 지정.
    public class MyAsyncTask extends AsyncTask<String, Void, String> {

    	@Override
    	protected void onPreExecute() {
    		super.onPreExecute();
    	}
    	
		@Override
		protected String doInBackground(String... params) {
			
			String sum = "";
			
			if(params != null){
				for(String s : params){ 
					sum += s;
				}
			}
			return sum;
		}
		
		@Override
		protected void onPostExecute(String result) {
			super.onPostExecute(result);
			
			if(result != null){
				Log.d("ASYNC", "result = " + result);
			}
			
		}
		
		@Override
		protected void onCancelled() {
			super.onCancelled();
		}
		
    }
    
}